import 'package:flutter/material.dart';
import 'package:radio_group/radio_group.dart';

const List<Map<String, dynamic>> data = [
  {
    'value': 0,
    'name': 'test0',
  },
  {
    'value': 1,
    'name': 'test1',
  },
  {
    'value': 2,
    'name': 'test2',
  },
  {
    'value': 3,
    'name': 'test3',
  },
  {
    'value': 4,
    'name': 'test4',
  },
  {
    'value': 5,
    'name': 'test5',
  }
];

class TestWidgetState extends State<TestWidget> {
  num _value = 5;
  num get value => _value;

  handleSelectingData (item) {
    setState(() {
      _value = item['value'];
    });
  }

  @override
  Widget build(BuildContext ctx) {
    return MaterialApp(
      title: 'Test App',
      home: Scaffold(
        body: Container(
          child: RadioGroup(
            data: data,
            onChange: handleSelectingData,
            value: _value,
            title: '测试RadioGroup',
          )
        )
      ),
    );
  }
}

class TestWidget extends StatefulWidget {
  @override
  TestWidgetState createState() => TestWidgetState();
}
