import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:radio_group/radio_group.dart';

import 'app.dart';

void main() {
  testWidgets('Test Radio Group', (WidgetTester tester) async {
    await tester.pumpWidget(TestWidget());

    // display test
    final name0Finder = find.text('test0');
    final name1Finder = find.text('test1');
    final name2Finder = find.text('test2');
    final name3Finder = find.text('test3');
    final name4Finder = find.text('test4');
    final name5Finder = find.text('test5');

    expect(name0Finder, findsOneWidget);
    expect(name1Finder, findsOneWidget);
    expect(name2Finder, findsOneWidget);
    expect(name3Finder, findsOneWidget);
    expect(name4Finder, findsOneWidget);
    expect(name5Finder, findsOneWidget);

    // interaction test
    final btnFinders = find.byType(FlatButton);
    await tester.tap(find.byWidget(btnFinders.evaluate().toList()[0].widget));
    await tester.pump();
    Finder radioGroupFinder = find.byType(RadioGroup);
    expect((radioGroupFinder.evaluate().toList()[0].widget as RadioGroup).value, 0);

    await tester.tap(find.byWidget(btnFinders.evaluate().toList()[3].widget));
    await tester.pump();
    radioGroupFinder = find.byType(RadioGroup);
    expect((radioGroupFinder.evaluate().toList()[0].widget as RadioGroup).value, 3);
  });
}
